Bug 102095 - Panic occurs at the time of installation.
Panic occurs at the time of installation.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
:
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2003-08-11 06:18 EDT by Haruo Tomita
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0013
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 05:13:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Handle allocation errors and zero fill new blocks. (904 bytes, patch)
2006-02-03 19:36 EST, Don Howard
no flags Details | Diff

  None (edit)
Description Haruo Tomita 2003-08-11 06:18:50 EDT
Description of problem:
I tried to install 2.1ES using differet options. Panic occurs at the time of 
installation.

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.12, kernel-2.4.9-e.24

How reproducible:
Always

Steps to Reproduce:
1. install 2.1ES 
2.
3.
    
Actual results:
Panic occured.

Expected results:


Additional info:

kerenl 2.4.9-e.24BOOT
CPU 0
EIP 0010:[<c018d588>] Not tainted
EFLAGS 00010212
EIP is at
eax: 00000000 ebx:00000000 ecx: 00000300 edx: 00000246
esi: c02b1160 edi: 00001100 ebp: 00000040 esp: cfd85d70

I think that a problem is in initialization of a cdrom driver. 
Panic will not be carried out when adapted in this patch.
 
https://www.redhat.com/archives/redhat-list/2003-July/msg03501.html
Comment 3 Don Howard 2006-02-03 19:36:22 EST
Created attachment 124140 [details]
Handle allocation errors and zero fill new blocks.
Comment 4 Haruo Tomita 2006-02-03 19:58:16 EST
I think that the cause is in 0 initialization. Your patch is correct. 
The tester of Toshiba will evaluate the corrected kernel. 
Comment 5 Don Howard 2006-04-03 17:13:22 EDT
Did Toshiba have any testing results that could be posted here?
Comment 6 Paul Gampe 2006-09-05 17:34:18 EDT
Setting the release flag so this can be included in the review process.
Comment 7 Haruo Tomita 2006-09-05 19:25:13 EDT
(In reply to comment #6)
> Setting the release flag so this can be included in the review process.

Thank you. 
Please upload the update kernel of the correction version. The tester of 
Toshiba will execute confirming the operation with the machine where the issue 
occurs. And, I report on the result.
Comment 8 RHEL Product and Program Management 2006-09-07 15:42:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 RHEL Product and Program Management 2006-09-07 15:42:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 RHEL Product and Program Management 2006-09-07 15:43:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 RHEL Product and Program Management 2006-09-07 15:44:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Don Howard 2006-09-18 12:52:01 EDT
A test kernel is available at http://people.redhat.com/dhoward/bz102095/
This build is intended only for testing, and is not officially supportable.
Comment 13 Haruo Tomita 2006-09-26 00:47:00 EDT
(In reply to comment #12)
> A test kernel is available at http://people.redhat.com/dhoward/bz102095/
> This build is intended only for testing, and is not officially supportable.

The test kernel worked correctly. If kernel-BOOT-2.4.9-e.71.bz102095.i386.rpm 
is a kernel for the installation, this issue will be solved. 

Comment 14 Jay Turner 2006-10-10 10:12:33 EDT
QE ack for 2.1 maintenance delivery.
Comment 17 Mike Gahagan 2006-12-19 15:33:19 EST
The fix is in and already tested by the partner.
Comment 19 Red Hat Bugzilla 2007-01-17 05:13:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0013.html

Note You need to log in before you can comment on or make changes to this bug.